Bug 6210 - getStatus
: getStatus
Status: RESOLVED FIXED
: gRAVI
gRAVI
: unspecified
: Macintosh All
: P3 normal
: ---
Assigned To:
: http://dev.globus.org/wiki/GRAVI_CEDP...
:
:
:
  Show dependency treegraph
 
Reported: 2008-07-07 16:02 by
Modified: 2008-08-08 12:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-07-07 16:02:26
I think it should be enumerations.  This way status/state is described  
at the WS layer, and is visible.

We could just borrow this from wsgram's managed job schema:


    <xsd:simpleType name="StateEnumeration">
        <xsd:annotation>
            <xsd:documentation>
                external states for a Managed Job.
            </xsd:documentation>
        </xsd:annotation>
        <xsd:restriction base="xsd:string">
            <xsd:enumeration value="Unsubmitted" />
            <xsd:enumeration value="StageIn" />
            <xsd:enumeration value="Pending" />
            <xsd:enumeration value="Active"  />
            <xsd:enumeration value="Suspended"  />
            <xsd:enumeration value="StageOut" />
            <xsd:enumeration value="CleanUp" />
            <xsd:enumeration value="Done" />
            <xsd:enumeration value="Failed" />
        </xsd:restriction>
    </xsd:simpleType>
------- Comment #1 From 2008-07-31 13:25:33 -------
Kyle added the State schema, but need to return enumerated type not a String
for this to be meaningful.

GENERATED CODE:

  public java.lang.String
getStatus(org.cagrid.helloworld.context.stubs.types.HelloWorldResultResourceReference
resReference) throws RemoteException {
    synchronized(portTypeMutex){
      configureStubSecurity((Stub)portType,"getStatus");
    org.cagrid.helloworld.context.stubs.GetStatusRequest params = new
org.cagrid.helloworld.context.stubs.GetStatusRequest();
    org.cagrid.helloworld.context.stubs.GetStatusRequestResReference
resReferenceContainer = new
org.cagrid.helloworld.context.stubs.GetStatusRequestResReference();
    resReferenceContainer.setHelloWorldResultResourceReference(resReference);
    params.setResReference(resReferenceContainer);
    org.cagrid.helloworld.context.stubs.GetStatusResponse boxedResult =
portType.getStatus(params);
    return boxedResult.getResponse();
    }
  }